/*
 * Created on 23-Apr-04
 *
 */
package adder;

import java.rmi.RemoteException;
import java.util.Hashtable;

import javax.ejb.CreateException;
import javax.ejb.EJBException;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.naming.NameNotFoundException;
import javax.servlet.ServletException;
/**
 * @author searle
 */
public class AdderAppClient {

	public static void main(String[] args) {
		int javaResult = AdderJava.add(1,2);
		System.out.println("AdderAppClient: Java adder(1,2)= "+javaResult+" (direct Java call)" ); 
		
		AdderEJBClient ejbClient = new AdderEJBClient();
		int ejbResult = ejbClient.add(11,22);
		System.out.println("AdderAppClient: Addition Session bean adder(11,22)= "+ejbResult+" (via AdderEJBClient)"); 

		ejbClient.jndiAdderTests();
	}
}
